{
  "name": "ddf-backoffice",
  "version": "0.0.1",
  "description": "Dictionnaire des francophones",
  "main": "entrypoint.js",
  "repository": "mnemotix/ddf-backoffice",
  "author": "Mnemotix <dev@mnemotix.com>",
  "private": true,
  "dependencies": {
    "@babel/cli": "7.6.0",
    "@babel/core": "7.6.0",
    "@babel/plugin-proposal-class-properties": "7.5.5",
    "@babel/plugin-proposal-object-rest-spread": "7.5.5",
    "@babel/plugin-proposal-optional-chaining": "^7.6.0",
    "@babel/plugin-transform-async-to-generator": "7.5.0",
    "@babel/plugin-transform-instanceof": "7.5.5",
    "@babel/plugin-transform-spread": "7.2.2",
    "@babel/polyfill": "7.6.0",
    "@babel/preset-env": "7.6.0",
    "@babel/preset-react": "7.0.0",
    "@babel/register": "7.6.0",
    "@mnemotix/synaptix.js": "4.5.0-beta.3",
    "@types/react": "^16.9.0",
    "apollo-cache": "^1.3.2",
    "apollo-cache-inmemory": "latest",
    "apollo-client": "^2.6.4",
    "apollo-link": "^1.2.13",
    "apollo-link-http": "latest",
    "apollo-link-ws": "^1.0.19",
    "apollo-utilities": "^1.3.2",
    "autoprefixer-stylus": "^0.14.0",
    "babel-loader": "8.0.6",
    "babel-plugin-jsx-control-statements": "^4.0.0",
    "classnames": "2.2.5",
    "connect-history-api-fallback": "^1.6.0",
    "css-loader": "1.0.0",
    "dotenv": "^8.1.0",
    "express-basic-auth": "^1.2.0",
    "file-loader": "^4.2.0",
    "graphql": "14.1.1",
    "graphql-subscriptions": "^1.1.0",
    "graphql-tag": "^2.10.1",
    "graphql-tools": "4.0.4",
    "html-webpack-plugin": "3.2.0",
    "i18next": "^15.0.6",
    "i18next-xhr-backend": "^2.0.1",
    "lodash": "4.17.10",
    "mini-css-extract-plugin": "^0.5.0",
    "optimize-css-assets-webpack-plugin": "^5.0.3",
    "prop-types": "15.7.2",
    "react": "^16.9.0",
    "react-apollo": "^3.1.0",
    "react-dom": "^16.9.0",
    "react-dropdown": "^1.6.4",
    "react-i18next": "^10.4.2",
    "react-router": "5.0.1",
    "react-router-dom": "^5.0.1",
    "react-router-named-routes": "0.0.23",
    "s-grid": "^1.2.1",
    "stylus": "^0.54.5",
    "stylus-loader": "^3.0.2",
    "subscriptions-transport-ws": "^0.9.16",
    "terser-webpack-plugin": "^1.4.1",
    "url-loader": "^1.1.2",
    "webpack": "^4.0.0",
    "webpack-cli": "^3.2.1",
    "webpack-dev-middleware": "3.2.0",
    "webpack-hot-middleware": "2.23.1"
  },
  "devDependencies": {
    "@babel/plugin-transform-react-jsx-source": "^7.5.0",
    "babel-jest": "^24.3.1",
    "jest": "^24.5.0",
    "jest-dom": "^3.1.3",
    "style-loader": "0.23.0"
  },
  "scripts": {
    "start": "node --max_old_space_size=8192 ./entrypoint.js",
    "start:prod": "NODE_ENV=production USE_DOTENV=1 node ./entrypoint.js",
    "build:prod": "yarn build:prod:frontend",
    "build:prod:frontend": "rimraf dist && NODE_ENV=production node --max_old_space_size=8192 ./node_modules/webpack/bin/webpack.js --config webpack.config.js",
    "test": "jest __tests__"
  }
}
